Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™
Author Message
mikeyb
New Member
New Member


Joined: Jun 27, 2008
Posts: 8

PostPosted: Fri Jun 27, 2008 11:22 am Reply with quote

Hi, i've recently installed phpnuke 7.9 to my website and after doing a bit of searching i found that it was more vunerable that some other versions, i then installed the downgrade and downgraded to 7.6.

Everything on the site worked fine until i installed NukeSentinel_2517_66-81 yesterday, i ve done all the core edits files and used both the 7.6 and 7.9 install refrences (which seem to be exactly the same) from the Your Account folder..

Now when i enter Your Account on my site only the top half of the page shows, there seems to be part of the code missing that finishes the table where my headlines should be, i also have a problem with changing themes with this error showing up
Fatal error: Call to undefined function: filter() in /path/to/modules/Your_Account/index.php on line 1386

when i look at the code at that point it refers to the html filter
$check = filter($check, "nohtml", 1);

I also had a few issues with other code containing similar html filters, but removing those lines of code that were displaying seem to fix the issues, but if i remove line 1386 then all i get is a blank page after changing the theme.

Any ideas of what i might have done wrong ?
 
View user's profile Send private message
evaders99
Former Moderator in Good Standing


Joined: Apr 30, 2004
Posts: 3221

PostPosted: Fri Jun 27, 2008 12:34 pm Reply with quote

If you've downgraded to 7.6, you should not be seeing the filter() function used. It was added for 7.9

Perhaps you are using the wrong Your_Account file?

_________________
- Only registered users can see links on this board! Get registered or login! -

Need help? Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
mikeyb
PostPosted: Fri Jun 27, 2008 12:37 pm Reply with quote

I still have all the core 7.9 files on my ftp, i think it was just the database that got downgraded to 7.6.


Edit.
I'll explain a bit more as thats quite vague.

Installed the full 7.9 on my site, then uploaded a downgrade file, which i activated via logging into my admin cp via a html link, i recieve a message saying downgrade complete. So the files on my ftp are the original 7.9 files.
 
evaders99
PostPosted: Fri Jun 27, 2008 1:03 pm Reply with quote

The 7.9 files are obviously designed for the 7.9 database. And 7.6 for 7.6. You really shouldn't mix and match
 
mikeyb
PostPosted: Fri Jun 27, 2008 1:15 pm Reply with quote

So if i download and upload 7.6 and overwrite the existing 7.9 files now, do you think it will work, or my other option is a clean install of 7.6 and then use my existing database, or will that fling up more problems ?
 
Guardian2003
Site Admin


Joined: Aug 28, 2003
Posts: 6792
Location: Ha Noi, Viet Nam

PostPosted: Fri Jun 27, 2008 1:46 pm Reply with quote

If you are contemplating a 'clean' install then why not just install RavenNuke from this site as it has Nuke Sentinel built in??
 
View user's profile Send private message Send e-mail
mikeyb
PostPosted: Fri Jun 27, 2008 1:49 pm Reply with quote

How would i be fixed as far as my old database is concerned if i did that ?
 
Guardian2003
PostPosted: Fri Jun 27, 2008 2:51 pm Reply with quote

If it's a clean install then you are starting again so you would wipe the database and start clean. If you only have a few members just put a notice on the front page and ask them to re-register but if you wanted to retain existing data you would of course need to compare the database structures, although there is good documentation in the package.
 
mikeyb
PostPosted: Fri Jun 27, 2008 2:55 pm Reply with quote

That wasn't quite what i had planned, i was going to do a clean install of everything to 7.6 then upload my old database to overwrite the clean install, just wondering now wether it would be better to go through inspecting the existing code and find out what's causing my current problem as stated in my first post ?
 
evaders99
PostPosted: Fri Jun 27, 2008 3:34 pm Reply with quote

Changing versions of phpNuke requires changing the files and database. Do not assume you can just downgrade the database, that will not help for security reasons as most of the security flaws are related to the code.

If you are downgrading to the stock phpNuke versions for security reasons - don't. Without the Patched files, you are seriously vulnerable to many issues.

While your code problem may be fixed in the Patched files, I would seriously recommend upgrading to RavenNuke. You will be doing enough file changes with the Patched files. There is enough documentation for you to move to RavenNuke, which is much more secure and properly tested.
 
Guardian2003
PostPosted: Fri Jun 27, 2008 3:35 pm Reply with quote

The RavenNuke Team has spent the last couple of years going through nuke to get rid of 'current problems with the code' but you need to remember what evaders mentioned. The database schema has to match the code it was designed for (well actually it's the other way around).
If you don't have too much data and you want to send me your current DB tables and data I'll convert it to RavenNuke for you if that is your only concenr. Atleast we offer support for our work and there is this great community here to help you if you get stuck.
 
mikeyb
PostPosted: Fri Jun 27, 2008 3:45 pm Reply with quote

Will my existing 7xx phpnuke themes work with RavenNuke, if yes which download do i need ?

My database is about 1.00mb, but i have another site with exactly the same issue with a database size of 89kbs, if it's too much work for you, could you possibly show me what tools i'll need, i do have some experience with mysql and phpadmin as well as converting phpbb databases but my experience with phpnuke is down to the last few weeks.

Thanks guys.
 
mikeyb
PostPosted: Fri Jun 27, 2008 3:53 pm Reply with quote

....


Last edited by mikeyb on Sun Jun 29, 2008 6:56 am; edited 1 time in total 
mikeyb
PostPosted: Sun Jun 29, 2008 6:55 am Reply with quote

Any more info to help me sort this problem guys ?
 
Guardian2003
PostPosted: Sun Jun 29, 2008 7:19 am Reply with quote

Yes your existing theme should work.
If you are familiar with the use of phpMyAdmin thats all you need, along with a good editor like PSPad or Notepad++ Only registered users can see links on this board! Get registered or login!
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©